# $Revision: 1.28 $, $Date: 2004/03/28 20:26:42 $
Summary:	GAnSO - GNOME Animation StudiO
Summary(pl):	Studio animacji dla GNOME
Name:		ganso
Version:	0.2.0
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/ganso/%{name}-%{version}.tar.bz2
# Source0-md5:	629daa8af0dc91efd1dd617858102415
Patch0:		%{name}-am_fix.patch
Patch1:		%{name}-build.patch
URL:		http://ganso.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel >= 1.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml-devel
BuildRequires:	smpeg-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11

%description
GAnSO is a powerful Animation Studio that lets you create your own
videos with and without sound.

It can write as much formats as codecs you install in your system.

This package includes the core, a MPEG-1 codec and a sample plug-in
which has a filter, a stream editor and a template, just to show how
easy is to extend GAnSO, but which can be usefull to build some
videos, as this filter performs progressive alpha
decreasing/increasing of a stream, effect that is very used in
professional creations to change from one video to another one while
both keep animated.

%description -l pl
GAnSO (GNOME Animation StudiO) to studio animacji pozwalajce tworzy
wasne filmy z dwikiem lub bez.

Moe zapisywa w takich formatach, dla jakich codeki masz w systemie.

Ten pakiet zawiera gwn cz GAnSO, codec MPEG-1 oraz przykadow
wtyczk, ktra zawiera filtr, edytor strumieni i wzorzec, eby pokaza
jak atwo mona rozszerza GAnSO, ale moe by take uyteczna przy
tworzeniu filmw, jako e ten filtr przeprowadza progresywne
zmniejszanie/zwikszanie kanau alpha strumienia, co daje efekt czsto
uywany w profesjonalnych filmach - przejcie z jednego obrazu do
drugiego podczas gdy oba s animowane.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -fno-implicit-templates"
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/ganso/{*,*/*,*/*/*}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_sysconfdir}/ganso
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/ganso/ganso.conf
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/ganso
%dir %{_libdir}/ganso/codecs
%dir %{_libdir}/ganso/codecs/input
%dir %{_libdir}/ganso/codecs/input/video
%dir %{_libdir}/ganso/codecs/output
%dir %{_libdir}/ganso/plugins
%attr(755,root,root) %{_libdir}/ganso/codecs/input/video/*.so
%attr(755,root,root) %{_libdir}/ganso/codecs/output/*.so
%attr(755,root,root) %{_libdir}/ganso/plugins/*.so
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ganso.spec,v $
Revision 1.28  2004/03/28 20:26:42  qboosh
- added build patch, kill unneeded *.la, release 2 for Ac

Revision 1.27  2003/08/26 20:31:19  ankry
- s/[Gg]nome/GNOME/

Revision 1.26  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.25  2003/05/25 05:47:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/08 11:29:37  qboosh
- use http for sources from sourceforge

Revision 1.23  2003/01/18 22:48:34  juandon
- removed two lines with define

Revision 1.22  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.21  2002/08/06 22:49:07  mmazur
- builds; STBR
- BR: smpeg-devel

Revision 1.20  2002/08/06 20:15:47  marcus
- updated to 0.2.0 (ac/am need fix)
- use new %doc

Revision 1.19  2002/06/23 20:52:49  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.18  2002/06/23 20:32:23  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/05/21 23:13:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/04/25 16:20:54  arturs
fixed a small typo

Revision 1.15  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.14  2002/02/23 02:06:16  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:13:00  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/10/15 18:31:29  qboosh
- BuildRequires: libtool

Revision 1.10  2001/10/15 15:58:20  blues
- libtoolized

Revision 1.9  2001/10/04 15:00:45  qboosh
- pl translations, BuildRequires: autoconf,automake

Revision 1.8  2001/04/30 16:05:17  kloczek
- added using %%{rpmcflags} macro.

Revision 1.7  2001/03/03 14:21:11  kloczek
- added am_fix patch with fixes two am > 1.4 specyfic bugs.

Revision 1.6  2001/03/03 14:10:01  kloczek
- release 3: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.5  2001/01/25 20:03:23  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.4  2000/12/23 00:48:44  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.3  2000/10/29 14:45:08  kloczek
- release 2,
- updated URL and Source url,
- use new rpm automation and rebuild against gnome-libs linked with db3.

Revision 1.2  2000/08/21 22:28:22  kloczek
- completly rewrited in PLD style.

* Fri Jun 30 2000 Ruben Lopez Gomez <ryu@mundivia.es>
- Created
